
package de.ivu.elect.presentation.geodata.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.geodata.boundary.GeodataOrtChangeEvent;
import de.ivu.elect.business.geodata.entity.GeodataOrt;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractGeodataOrtAction extends AbstractActionEntry<GeodataOrt> {

  private static final long serialVersionUID = 1L;

  @Inject
  private GeodataOrtChangeEvent changeEvent;

  public AbstractGeodataOrtAction() {
    super();
  }

  @Override
  public boolean isDisabledInternal(@Nonnull GeodataOrt geodataOrt) {
    return false;
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  protected void fireChangeEvent() {
    changeEvent.sendChangeEvent();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }
}
